#
# Cookbook:: revolv_config
# Recipe:: _dokken
#
# Copyright:: 2022, The Authors, All Rights Reserved.

resolver_config '/etc/resolv.conf' do
  nameservers [
    '192.168.1.39',
    '8.8.8.8',
  ]
  search [
    'xcom.lan',
    'test.lan',
  ]
  options(
    'timeout' => 2,
  )
  atomic_update false
end
