default['gateway']['_git']['system'] = {
  'color.ui': true,
  'color.diff': 'auto',
  'color.status': 'auto',
  'color.branch': 'auto',
  'color.interactive': 'auto',
  'status.submodulesummary': true,
  'fetch.recursesubmodules': true,
  'rebase.stat': true,
  'help.autocorrect': '10',
  'commit.verbose': true,
  'alias.gol': %Q{log --graph --pretty=format:'%C(yellow)%h%C(green)%d%Creset %s %C(white) %an, %ar%Creset'},
  'alias.commit': '--signoff',
  'alias.com': 'commit --signoff',
  'alias.coma': 'commit --signoff --amend',
  'alias.push': '--verbose --tags',
  'alias.pull': '--verbose',
  'alias.co': 'checkout',
  'alias.br': 'branch --all --verbose',
  'alias.s': 'status --short --branch',
  'include.path': '~/.gitconfig',
  'user.email': "jeremy@#{node['hostname']}",
  'user.name': 'Jeremy from Gateway',
}

default['gateway']['_git']['global'] = {
  'user.email': 'jeremy.mauro@gmail.com',
  'user.name': 'Jeremy MAURO',
  'url.git@github.com': '.insteadof=https://github.com/',
}
