#
# Cookbook:: gateway
# Recipe:: _ntp
#
# Copyright:: 2022, The Authors, All Rights Reserved.

package 'systemd-timesyncd'

execute 'timedatectl set-ntp true' do
  only_if '[ "$(timedatectl show --value --property=NTP)" == "no" ]'
end

execute 'timedatectl set-timezone Europe/Paris' do
  not_if '[ "$(readlink -f /etc/localtime)" = "/usr/share/zoneinfo/Europe/Paris" ]'
end
