#
# Cookbook:: workstation
# Recipe:: _packages
#
# Copyright:: 2022, The Authors, All Rights Reserved.
#

package %w{
  moreutils
  debian-goodies
  bash-completion
  vim
  dnsutils
  whois
  iproute2
  apt-file
  mc
  curl
  wget
  grc
  jq
  lftp
  lsof
  openssh-client
  plocate
  smem
  sudo
  dkms
} do
  notifies :run, 'execute[/usr/bin/apt-file update]', :immediately
  notifies :run, 'execute[/usr/bin/updatedb]', :immediately
end

execute '/usr/bin/apt-file update' do
  action :nothing
end

execute '/usr/bin/updatedb' do
  action :nothing
end
