#
# Cookbook:: podman
# Recipe:: default
#
# Copyright:: 2022, The Authors, All Rights Reserved.


include_recipe 'podman::_repository'
include_recipe 'podman::_packages'
include_recipe 'podman::_sysctl'

# Specific to WSL2:
# Ref: https://www.redhat.com/sysadmin/podman-windows-wsl2
#
directory '/etc/containers/containers.conf.d' do
  owner 'root'
  group 'root'
  mode '0755'
  action :create
end
