#
# Cookbook:: workstation
# Recipe:: _podman
#
# Copyright:: 2022, The Authors, All Rights Reserved.

include_recipe 'podman'

# TODO: use gem 'inifile' instead of this
file '/etc/containers/containers.conf.d/99wsl2.conf' do
  owner 'root'
  group 'root'
  mode '0755'
  content <<~_WSL2
    [engine]
    cgroup_manager = "cgroupfs"
    events_logger = "file"
  _WSL2
  action :create
end
