#
# Cookbook:: workstation
# Recipe:: _user
#
# Copyright:: 2022, The Authors, All Rights Reserved.

username, properties = node['my_workstation']['default_user'].first
user username do
  properties.each do |property, value|
    send(property, value)
  end
end

[
  ::File.join(properties['home'], 'repo'),
  ::File.join(properties['home'], '.aws'),
].each do |dir|
  directory dir do
    owner username
    group username
    recursive true
  end
end
